libwpg::WPGColor Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libwpg::WPGColor Class Reference

`#include <WPGColor.h>`

## Public Member Functions
| WPGColor ()
| WPGColor (int r, int g, int b)
| WPGColor (int r, int g, int b, int a)
| WPGColor (const WPGColor &color)
WPGColor & | operator= (const WPGColor &color)
const librevenge::RVNGString | getColorString () const
double | getOpacity () const

## Public Attributes
int | red
int | green
int | blue
int | alpha

## Constructor & Destructor Documentation

## ◆ WPGColor() [1/4]

libwpg::WPGColor::WPGColor | ( |  | ) |

## ◆ WPGColor() [2/4]

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |

## ◆ WPGColor() [3/4]

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

## ◆ WPGColor() [4/4]

libwpg::WPGColor::WPGColor | ( | const WPGColor & | color | ) |

## Member Function Documentation

## ◆ getColorString()

const librevenge::RVNGString libwpg::WPGColor::getColorString | ( |  | ) | const

Referenced by WPG2Parser::handleBrushBackColor(), WPG2Parser::handleBrushForeColor(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPColorPalette(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleGraphicsTextTypeOne(), WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenBackColor(), WPG2Parser::handlePenForeColor(), WPG1Parser::parse(), WPG1Parser::WPG1Parser(), and WPG2Parser::WPG2Parser().

## ◆ getOpacity()

double libwpg::WPGColor::getOpacity | ( |  | ) | const

Referenced by WPG2Parser::handleBrushBackColor(), WPG2Parser::handleBrushForeColor(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenBackColor(), WPG2Parser::handlePenForeColor(), WPG1Parser::parse(), WPG1Parser::WPG1Parser(), and WPG2Parser::WPG2Parser().

## ◆ operator=()

libwpg::WPGColor & libwpg::WPGColor::operator= | ( | const WPGColor & | color | ) |

## Member Data Documentation

## ◆ alpha

int libwpg::WPGColor::alpha

Referenced by operator=().

## ◆ blue

int libwpg::WPGColor::blue

Referenced by operator=().

## ◆ green

int libwpg::WPGColor::green

Referenced by operator=().

## ◆ red

int libwpg::WPGColor::red

Referenced by operator=().

The documentation for this class was generated from the following files:

- WPGColor.h
- WPGColor.cpp